### Signal

# Ide SourceView::push-selection

#### Declaration

    void
    push_selection (
      IdeSourceView* self,
      gpointer user_data
    )

#### Description

Saves the current selection away to be restored by a call to IdeSourceView::pop-selection. You must pop the selection to keep the selection stack in consistent order.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be emitted directly
Available since: | 3.32